Upgrade to ios 6.0

Discussion in 'iPhone iOS' started by trunghieu007, Feb 1, 2013.

Thread Status:
Not open for further replies.
  1. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    Dear All,

    I have iphone 3gs 16g, i am using ios 4.1. Now i want to upgrade to ios 6.0.

    My iphone is new bootrom. Can i upgrade to ios 6.0?

    Please advice for me.

    Thanks.
     
  2. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    Currently the only iOS version you can upgrade to is 6.1. iOS 6.0 is no longer being signed by Apple for installation.
     
  3. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    Hi,.. i new member. can you help me how to the upgrade to ios 6.1?
     
  4. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    You'll need a computer w/ an internet connection, the latest version of iTunes installed, and your data cable for connecting your 3GS to the computer.
     
  5. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    Before we get into the process... are you relying on an Unlock w/ your 3GS that allows you to use it on a different carrier than it was originally purchased though?
     
  6. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    My iphone is lock and BB 6.15. can i upgrade?

    Thanks
     
  7. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    Since you're running the 6.15.00 iPad Baseband... your 3GS is more than likely Jailbroken and using ultrasn0w from Cydia, correct?
     
  8. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    Yes, that correct.
     
  9. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    Ok... open Cydia please, and let us know what iOS versions are listed atop Cydia's home page.
     
  10. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    We can get you updated... it's just going to take a few more steps than just connecting to iTunes and updating. :)
     
  11. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    I already go Cydia and OS is 4.1 and 6.0.1
     
  12. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    I already go to Cydia and version OS is 4.1 and 6.0.1.

    Can you help me, how to do it as step by step.
     
  13. Thomasjtsi

    Thomasjtsi Well-Known Member

    Joined:
    Oct 25, 2011
    Messages:
    7,523
    Likes Received:
    450
    Trophy Points:
    83
    Location:
    Missouri, USA
    Here's what needs to happen... since you're using the 6.15.00 iPad baseband, you'll need to create a custom IPSW (iOS Firmware File) that you'll use to restore to via iTunes. The only problem is I'm not 100% sure if redsn0w (the program you'll use to create the custom IPSW) supports iOS 6.1 yet.

    Give us a little time and I'll get another member of our staff to check in here and help us out.
     
  14. trunghieu007

    trunghieu007 New Member

    Joined:
    Feb 1, 2013
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    0
    Hi Thomasjtsi,

    Thanks you for your information. I hope see you soon. Have a nice weekend.
     
  15. willerz2

    willerz2 Super Moderator Staff Member

    Joined:
    Aug 15, 2012
    Messages:
    7,663
    Likes Received:
    655
    Trophy Points:
    113
    Location:
    New York
    I don't believe that there's support for anything above iOS 6.0 at the moment, I don't have the blobs to verify this at the moment. Although iOS 6.1 is a hotfix for iOS 6.0, it's not entirely supported since all iOS 6.0-6.1 jailbreaks are using the iOS 6.0 IPSW. But instead of creating a custom IPSW, you can try using the Restore feature in RedSn0w > Extras > Even More > Restore. This feature already incorporates a "preserve baseband" protocol. After selecting the IPSW and your blobs, there will be 2-3 windows that pop up, one asking are you sure that you want to do this since it'll wipe your device, the second being do you want to upgrade your baseband and such. Answer them accordingly to what you want and it'll do the job.

    Alternatively, you can downgrade your flashed iPad Baseband using RedSn0w, do a manual restore, rejailbreak/flash it and reunlock it with UltraSn0w. Make sure that you install the UltraSn0w Fixer for iOS 6 (included in the UltraSn0w repository) so that it runs on your 3GS.
     
Thread Status:
Not open for further replies.

Share This Page